%define major		1.0
%define majorminor	1.0
%define bname		gstreamer1.0

%define build_plf	0

%if "%{?distro_section}" == "tainted"
%define build_plf	1
%endif

%define build_experimental	0
%define build_amrnb	0
%define build_amrwbdec	0
%define build_x264	0

%if %build_plf
%define build_x264	1
%define build_amrnb	1
%define build_amrwbdec	1
%endif

Summary:	GStreamer Streaming-media framework plug-ins
Name:		%{bname}-plugins-ugly
Version:	1.10.3
Release:	%mkrel 2
License:	LGPLv2+
Group:		Sound/Utilities
Source:		http://gstreamer.freedesktop.org/src/gst-plugins-ugly/gst-plugins-ugly-%{version}.tar.xz
Patch0:		gstreamer-plugins-ugly-0.10.17-amr-linking.patch
URL:		http://gstreamer.freedesktop.org/
#gw for the pixbuf plugin
BuildRequires:	gtk+2-devel
BuildRequires:	glib2-devel
BuildRequires:	liborc-devel
BuildRequires:	gstreamer1.0-plugins-base-devel >= %{version}
BuildRequires:	libmesaglu-devel
BuildRequires:	libmad-devel
BuildRequires:	libid3tag-devel
BuildRequires:	libdvdread-devel
BuildRequires:	libmpg123-devel
BuildRequires:	libcheck-devel

%ifnarch %mips
BuildRequires:	valgrind-devel
%endif

Provides:	%{bname}-audiosrc
Provides:	%{bname}-audiosink

# mpg123 plugin was moved from -bad to -ugly
Conflicts:	gstreamer1.0-plugins-bad < 1.7.90

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of plug-ins that have good quality and
correct functionality, but distributing them might pose problems. The
license on either the plug-ins or the supporting libraries might not
be how the GStreamer authors like. The code might be widely known to
present patent problems.

%if %build_plf
This package is in the 'tainted' section as it violates some patents.
%endif

%prep
%setup -q -n gst-plugins-ugly-%{version}

%build
%configure2_5x \
	--disable-static \
	--disable-rpath \
	--disable-gtk-doc-html \
	--with-package-name='%{_vendor} %{name} package' \
	--with-package-origin='http://www.%{_real_vendor}.org/' \
%if %build_experimental
	--enable-experimental
%else
	--disable-experimental
%endif

%make_build

%check
cd tests/check
make check

%install
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %make_install

%find_lang gst-plugins-ugly-%{majorminor}

rm -fr %{buildroot}%{_datadir}/gtk-doc

# Clean out files that should not be part of the rpm.
# This is the recommended way of dealing with it for RH8
find %{buildroot} -name '*.la' -delete

%files -f gst-plugins-ugly-%{majorminor}.lang
%doc AUTHORS COPYING README NEWS
%{_libdir}/gstreamer-%{majorminor}/libgstasf.so
%{_libdir}/gstreamer-%{majorminor}/libgstdvdlpcmdec.so
%{_libdir}/gstreamer-%{majorminor}/libgstdvdread.so
%{_libdir}/gstreamer-%{majorminor}/libgstdvdsub.so
%{_libdir}/gstreamer-%{majorminor}/libgstmad.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpg123.so
%{_libdir}/gstreamer-%{majorminor}/libgstrmdemux.so
%{_libdir}/gstreamer-%{majorminor}/libgstxingmux.so

### LAME ###
%package -n %{bname}-lame
Summary:	GStreamer plug-in for encoding mp3 songs using lame
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}-%{release}
BuildRequires:	liblame-devel >= 3.89

%description -n %{bname}-lame
Plug-in for encoding mp3 with lame under GStreamer.

%files -n %{bname}-lame
%{_libdir}/gstreamer-%{majorminor}/libgstlame.so

%if %build_x264
%package -n %{bname}-x264
Summary:	GStreamer plug-in for H264/AVC video encoding
Group:		Video/Utilities
BuildRequires:	libx264-devel

%description -n %{bname}-x264
Plug-in for encoding H264/AVC video.

This package is in the 'tainted' section as it violates some patents.
%files -n %{bname}-x264
%{_libdir}/gstreamer-%{majorminor}/libgstx264.so
%{_datadir}/gstreamer-%{majorminor}/presets/GstX264Enc.prs
%endif

%if %build_amrnb
%package -n %{bname}-amrnb
Summary:	GStreamer plug-in for AMR-NB support
Group: 		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}-%{release}
BuildRequires:	opencore-amr-devel

%description -n %{bname}-amrnb
Plug-in for decoding AMR-NB under GStreamer.

This package is in the 'tainted' section as it violates some patents.

%files -n %{bname}-amrnb
%{_libdir}/gstreamer-%{majorminor}/libgstamrnb.so
%{_datadir}/gstreamer-%{majorminor}/presets/GstAmrnbEnc.prs
%endif

%if %build_amrwbdec
%package -n %{bname}-amrwbdec
Summary:	GStreamer plug-in for AMR-WB decoding support
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}-%{release}
BuildRequires:	opencore-amr-devel

%description -n %{bname}-amrwbdec
Plug-in for decoding AMR-Wb under GStreamer.

This package is in the 'tainted' section as it violates some patents.

%files -n %{bname}-amrwbdec
%{_libdir}/gstreamer-%{majorminor}/libgstamrwbdec.so
%endif

### SIDPLAY ###
%package -n %{bname}-sid
Summary:	GStreamer Sid C64 music plugin
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}-%{release}
BuildRequires:	sidplay-devel >= 1.36.0

%description -n %{bname}-sid
Plugin for playback of C64 SID format music files

%files -n %{bname}-sid
%{_libdir}/gstreamer-%{majorminor}/libgstsid.so

### A52DEC ###
%package -n %{bname}-a52dec
Summary:	GStreamer AC-3 aka A/52 audio decoder plugin
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}-%{release}
BuildRequires:	a52dec-devel >= 0.7.3

%description -n %{bname}-a52dec
Plugin for decoding of AC-3 (A/52) audio as often found on DVDs.

%files -n %{bname}-a52dec
%{_libdir}/gstreamer-%{majorminor}/libgsta52dec.so

%package -n %{bname}-mpeg
Summary:	GStreamer plug-ins for MPEG video playback and encoding
Group:		Video/Utilities
Requires:	%{bname}-plugins >= %{version}-%{release}
BuildRequires:	libmpeg2dec-devel >= 0.3.1

%description -n %{bname}-mpeg
Plug-ins for playing and encoding MPEG video.

%files -n %{bname}-mpeg
%{_libdir}/gstreamer-%{majorminor}/libgstmpeg2dec.so

%package -n %{bname}-cdio
Summary:	GStreamer plug-in for audio CD playback
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}-%{release}
BuildRequires:	libcdio-devel
Conflicts:	%{bname}-plugins-good < 0.10.10

%description -n %{bname}-cdio
Plug-in for audio CD playback.

%files -n %{bname}-cdio
%{_libdir}/gstreamer-%{majorminor}/libgstcdio.so

%package -n %{bname}-twolame
Summary:	GStreamer plug-in for MP2 encoding support
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}-%{release}
BuildRequires:	libtwolame-devel

%description -n %{bname}-twolame
Plug-in for encoding MP2 under GStreamer.

%files -n %{bname}-twolame
%{_libdir}/gstreamer-%{majorminor}/libgsttwolame.so


%changelog
* Fri May 05 2017 zezinho <zezinho> 1.10.3-2.mga6
+ Revision: 1099210
- mp3 patents gone

* Fri Feb 10 2017 ns80 <ns80> 1.10.3-1.mga6.tainted
+ Revision: 1085493
- new version 1.10.3

* Sat Jan 21 2017 akien <akien> 1.10.2-2.mga6.tainted
+ Revision: 1082724
- Rebuild for arm

* Sun Jan 15 2017 wally <wally> 1.10.2-1.mga6
+ Revision: 1081797
- new version 1.10.2

* Mon Aug 22 2016 akien <akien> 1.8.3-3.mga6.tainted
+ Revision: 1047860
- Submit to tainted

* Mon Aug 22 2016 daviddavid <daviddavid> 1.8.3-2.mga6
+ Revision: 1047665
+ rebuild (emptylog)

* Fri Aug 19 2016 luigiwalser <luigiwalser> 1.8.3-1.mga6
+ Revision: 1047097
- 1.8.3

* Sat Jun 18 2016 luigiwalser <luigiwalser> 1.8.2-2.mga6.tainted
+ Revision: 1022614
- rebuild with fix libmad

* Fri Jun 10 2016 luigiwalser <luigiwalser> 1.8.2-1.mga6.tainted
+ Revision: 1021002
- 1.8.2

* Mon May 09 2016 luigiwalser <luigiwalser> 1.8.1-2.mga6.tainted
+ Revision: 1011710
- rebuild for core

* Mon May 09 2016 luigiwalser <luigiwalser> 1.8.1-1.mga6.tainted
+ Revision: 1011416
- 1.8.1

* Fri Mar 25 2016 wally <wally> 1.8.0-1.mga6.tainted
+ Revision: 995250
- new version 1.8.0
- enable dependency tracking

* Sun Mar 20 2016 wally <wally> 1.7.91-3.mga6.tainted
+ Revision: 993093
- enable x264 build on arm again

* Sun Mar 20 2016 wally <wally> 1.7.91-2.mga6.tainted
+ Revision: 993055
- disable x264 build on arm

* Sun Mar 20 2016 wally <wally> 1.7.91-1.mga6.tainted
+ Revision: 993047
- new version 1.7.91

* Fri Mar 04 2016 wally <wally> 1.7.90-1.mga6.tainted
+ Revision: 985636
- new version 1.7.90
- mpg123 plugin was moved from -bad to -ugly

* Sat Jan 23 2016 luigiwalser <luigiwalser> 1.6.3-1.mga6.tainted
+ Revision: 926693
- 1.6.3

* Mon Jan 18 2016 luigiwalser <luigiwalser> 1.6.2-2.mga6.tainted
+ Revision: 925616
- rebuild for x264

* Sun Jan 03 2016 luigiwalser <luigiwalser> 1.6.2-1.mga6
+ Revision: 918905
- 1.6.2

* Thu Jul 16 2015 sander85 <sander85> 1.4.5-2.mga6.tainted
+ Revision: 854703
- Rebuild for new libcdio

* Sun Jun 21 2015 luigiwalser <luigiwalser> 1.4.5-1.mga6.tainted
+ Revision: 836951
- 1.4.5

* Wed Oct 15 2014 umeabot <umeabot> 1.4.3-2.mga5.tainted
+ Revision: 739028
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 wally <wally> 1.4.3-1.mga5.tainted
+ Revision: 731374
- new version 1.4.3

* Tue Sep 16 2014 umeabot <umeabot> 1.4.1-2.mga5.tainted
+ Revision: 679987
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 luigiwalser <luigiwalser> 1.4.1-1.mga5.tainted
+ Revision: 674302
- 1.4.1

* Mon Jul 21 2014 fwang <fwang> 1.4.0-1.mga5.tainted
+ Revision: 654958
- drop unused doc files
- disable gtk-doc
- 1.4.0

* Sat Apr 19 2014 fwang <fwang> 1.2.4-1.mga5.tainted
+ Revision: 616994
- 1.2.4

* Sun Mar 30 2014 daviddavid <daviddavid> 1.2.3-4.mga5.tainted
+ Revision: 610548
- rebuild for new x264

* Mon Feb 17 2014 luigiwalser <luigiwalser> 1.2.3-3.mga5
+ Revision: 593271
- rebuild for x264

* Sat Feb 15 2014 luigiwalser <luigiwalser> 1.2.3-2.mga5.tainted
+ Revision: 592239
- rebuild for libcdio

* Sun Feb 09 2014 fwang <fwang> 1.2.3-1.mga5.tainted
+ Revision: 587313
- 1.2.3

* Thu Jan 23 2014 gw666 <gw666> 1.2.2-1.mga4.tainted
+ Revision: 567578
- new version (bug #12142)

* Mon Oct 21 2013 umeabot <umeabot> 1.2.0-2.mga4.tainted
+ Revision: 536917
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 fwang <fwang> 1.2.0-1.mga4.tainted
+ Revision: 485818
- new version 1.2.0

* Sat Sep 21 2013 fwang <fwang> 1.1.90-1.mga4.tainted
+ Revision: 483067
- new version 1.1.90

* Sun Sep 01 2013 fwang <fwang> 1.0.10-2.mga4.tainted
+ Revision: 473963
- rebuild for new libcdio

* Thu Aug 29 2013 fwang <fwang> 1.0.10-1.mga4.tainted
+ Revision: 472796
- new version 1.0.10

* Sat Aug 24 2013 luigiwalser <luigiwalser> 1.0.9-2.mga4.tainted
+ Revision: 471050
- rebuild for x264

* Thu Aug 01 2013 fwang <fwang> 1.0.9-1.mga4.tainted
+ Revision: 461938
- new version 1.0.9

* Mon Jun 17 2013 luigiwalser <luigiwalser> 1.0.7-2.mga4.tainted
+ Revision: 443888
- rebuild for x264

* Fri May 24 2013 fwang <fwang> 1.0.7-1.mga4.tainted
+ Revision: 425868
- new version 1.0.7

* Sat Jan 12 2013 umeabot <umeabot> 1.0.5-2.mga3.tainted
+ Revision: 352771
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 fwang <fwang> 1.0.5-1.mga3.tainted
+ Revision: 343522
- new version 1.0.5

* Fri Dec 21 2012 cjw <cjw> 1.0.4-1.mga3.tainted
+ Revision: 333586
- 1.0.4
- better summary and description for a52dec plugin package

* Fri Nov 23 2012 fwang <fwang> 1.0.3-1.mga3.tainted
+ Revision: 321185
- new version 1.0.3

* Thu Oct 25 2012 fwang <fwang> 1.0.2-1.mga3.tainted
+ Revision: 309989
- new version 1.0.2

* Mon Oct 08 2012 fwang <fwang> 1.0.1-1.mga3.tainted
+ Revision: 303338
- new version 1.0.1

* Mon Sep 24 2012 fwang <fwang> 1.0.0-1.mga3.tainted
+ Revision: 297082
- new version 1.0.0

* Tue Sep 18 2012 fwang <fwang> 0.11.99-1.mga3.tainted
+ Revision: 295766
- new version 0.11.99

* Sat Sep 15 2012 fwang <fwang> 0.11.94-1.mga3.tainted
+ Revision: 294199
- update file list
- update file list
- imported package gstreamer1.0-plugins-ugly

